| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Types | Public Member Functions | Static Public Member Functions | List of all members
GlsNinePatch Class Reference
Inheritance diagram for GlsNinePatch:

## Public Types
enum | Edge { FIRST = 0 , LEFT = 0 , RIGHT = 1 , TOP = 2 , BOTTOM = 3 , COUNT = 4 }
Public Types inherited from DisplayObject
enum | MemberAccess_e { PUBLIC , PRIVATE , PROTECTED }
enum | PickableType_e { UNPICKABLE , FIRST_PICK , BEST_PICK , ALWAYS_PICK }
enum | PolygonClose_e { POLY_OPEN , POLY_CLOSED }
enum | PolygonMode_e { POLY_MODE_UNDEFINED , POLY_MODE_POINTS , POLY_MODE_OUTLINE , POLY_MODE_FILLED , POLY_MODE_FILL_AND_OUTLINE }
enum | ShadingType_e { SHADING_FLAT , SHADING_GOURAUD }
enum | TextureMap_e { TEXTURE_MAP_MODULATE , TEXTURE_MAP_DECAL , TEXTURE_MAP_BLEND , TEXTURE_MAP_REPLACE }
enum | TextureFilter_e { TEXTURE_FILTER_NEAREST , TEXTURE_FILTER_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_NEAREST , TEXTURE_FILTER_LINEAR_MIPMAP_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_LINEAR , TEXTURE_FILTER_LINEAR_MIPMAP_NEAREST }
enum | TessellateType_e { TESSELLATE_UNION , TESSELLATE_INTERSECT , TESSELLATE_DIFFERENCE }
enum | RotationAxis_e { X_AXIS , Y_AXIS , Z_AXIS }
enum | LineStyle_e { SOLID_LINE_STYLE , SMALL_DOTTED_LINE_STYLE , DOTTED_LINE_STYLE , DASHED_LINE_STYLE , DOT_DASHED_LINE_STYLE , SMALL_DASHED_LINE_STYLE }
enum | AlphaMode_e { ALPHA_MODE_UNDEFINED , ALPHA_MODE_OPAQUE , ALPHA_MODE_2_LEVEL , ALPHA_MODE_256_LEVEL }

## Public Member Functions
| GlsNinePatch ()
void | TextureEdge (Edge index, float value)
void | VertexEdge (Edge index, float value)
float | TextureEdge (Edge index)
float | VertexEdge (Edge index)
bool | CenterVisible ()
void | CenterVisible (bool value)
void | WidthVector (Vector &v)
void | HeightVector (Vector &v)
Vector | WidthVector ()
Vector | HeightVector ()
void | TextureBLC (float x, float y)
void | TextureTRC (float x, float y)
Vector | TextureBLC ()
Vector | TextureTRC ()
void | Height (float &value)
void | Width (float &value)
float | Height ()
float | Width ()
void | GetPatchVerts (VertexArray *va)
void | GetPatchTex (VectorArray *va)
Rect3D | GetChildRect ()
Public Member Functions inherited from GLPolygon
| GLPolygon (VertexArray &vertices)
| GLPolygon (VertexArray &vertices, Vector &location)
| GLPolygon (std::vector< Vertex > vertices)
| GLPolygon (std::vector< Vertex > vertices, Vector &location)
Public Member Functions inherited from DisplayObject
bool | isNULL ()
String | GetName ()
String | SetName (String name)
void | SetProtectionMode (DisplayObject::MemberAccess_e mode)
DisplayObject::MemberAccess_e | GetProtectionMode (void)
void | SetLocked (bool val)
bool | GetLocked (void)
bool | GetGenerateMemberVariable ()
void | SetGenerateMemberVariable (bool b)
bool | GetAntiAliasing ()
void | SetAntiAliasing (bool antiAliasing)
bool | GetBlinking ()
void | SetBlinking (bool blinking)
float | GetBlinkRate ()
void | SetBlinkRate (float rate)
int | GetAlphaMode ()
void | SetAlphaMode (int mode)
bool | GetCullBackFaces ()
void | SetCullBackFaces (bool cullFaces)
bool | GetZBufferTestedFlag ()
void | SetZBufferTestedFlag (bool tested)
bool | GetAffectZBufferFlag ()
void | SetAffectZBufferFlag (bool affect)
bool | GetLightingEnabledFlag ()
void | SetLightingEnabledFlag (bool enabled)
DisplayObject::PickableType_e | GetPickMode ()
void | SetPickMode (DisplayObject::PickableType_e mode)
bool | GetVisibilityFlag ()
void | SetVisibilityFlag (bool visible)
PolygonClose_e | GetClosePolygonFlag ()
void | SetClosePolygonFlag (PolygonClose_e closePolygon)
PolygonMode_e | GetPolygonMode ()
void | SetPolygonMode (PolygonMode_e polygonMode)
ShadingType_e | GetShadingMode ()
void | SetShadingMode (ShadingType_e shadingMode)
Vertex | GetLocation ()
void | SetLocation (Vertex loc)
Vertex | GetRotationPoint ()
void | SetRotationPoint (Vertex rotPoint)
GlsMatrixAffine * | GetDcsMatrix ()
void | SetDcsMatrix (GlsMatrixAffine *matrix)
int | GetMaterialIndex ()
void | SetMaterialIndex (int matIndex)
String | GetObjectClassName ()
int | GetTextureIndex ()
void | SetTextureIndex (int texIndex)
TextureMap_e | GetTextureMappingTechnique ()
void | SetTextureMappingTechnique (TextureMap_e mappingTechnique)
bool | GetTextureRepeat ()
void | SetTextureRepeat (bool repeat)
disti::GlsColor | GetBlendingColor ()
void | SetBlendingColor (GlsColor blendColor)
DisplayObject::TextureFilter_e | GetTextureMagnificationFilter ()
void | SetTextureMagnificationFilter (DisplayObject::TextureFilter_e filter)
DisplayObject::TextureFilter_e | GetTextureMinificationFilter ()
void | SetTextureMinificationFilter (DisplayObject::TextureFilter_e filter)
std::vector< Vector > | GetTextureCoordinates ()
void | SetTextureCoordinates (std::vector< Vector > &texVerts)
void | GetTextureCoordinates (VertexArray *texVerts)
void | SetTextureCoordinates (VertexArray &texVerts)
void | GetTexturePoints (VertexArray *texVerts)
void | SetTexturePoints (VertexArray &texVerts)
void | SetTexturePoints (std::vector< Vector > &texVerts)
std::vector< Vector > | GetTexturePoints ()
void | GetVertices (VertexArray *verts)
void | SetVertices (VertexArray &verts)
String | GetInitialization ()
void | SetInitialization (String initCode)
String | GetCallbackCode ()
void | SetCallbackCode (String cbCode)
DisplayObject * | DuplicateObject (Document *doc=NULL)
DisplayObject * | TessellateObject ()
DisplayObject * | ExtrudeObject (float amount)
void | RotateObject (float amount, RotationAxis_e axis)
void | TranslateObject (float x, float y, float z)
void | ScaleObject (float x, float y, float z, Vertex *anchor=NULL)
void | LineWidth (float width)
float | LineWidth ()
LineStyle_e | LineStyle ()
void | LineStyle (LineStyle_e style)
GlsColor | LineColor ()
void | LineColor (GlsColor color)
GlsColor | FillColor ()
void | FillColor (GlsColor color)
void | GetExtents (Vector &min, Vector &max)
bool | HasUserDefinedAttribute (String attribName)
std::map< String, String > | GetUserDefinedAttributes ()
UserDefinedValueAttributeList | GetAllUserDefinedAttributes ()
String | GetUserDefinedAttributeValue (String attribName)
| typemap (check) String attribName
void | SetUserDefinedAttributeValue (String attribName, String value)
DisplayObject * | GetParent ()
Document * | GetDocument ()
String | AlternateClassName ()
void | AlternateClassName (String name)
String | GetAlternateClassHeaderFile ()
void | SetAlternateClassHeaderFile (String name)
String | GetResources ()
String | GetRuntimeResources (bool recursive)
String | GetAttributeType (String attribName)
String | GetAttributeValueString (String attribName)
void | SetAttributeValueString (String attribName, String value)
unsigned int | RegisterObserver (String attribName, PyObject *pyfunc)
void | UnregisterObserver (String attribName, unsigned int id)
std::vector< Vector > | GetNormals ()
void | SetNormals (std::vector< Vector > &normals)
std::vector< CustomAttributeInfo > | GetExtraAttributes ()
DisplayObject * | CloneObject ()
void | CopyProperties (DisplayObject *sourceObj)
void | SetLocation (Vector loc)
GlsMatrixAffine | GetObjectCoordinatesTransform (DisplayObject *targetObject)
void | CalculateParentBoundingBox ()
void | SetOrigin (Vertex &vert)

## Static Public Member Functions
static GlsNinePatch * | CastToGlsNinePatch (DisplayObject *obj)
Static Public Member Functions inherited from GLPolygon
static GLPolygon * | CastToGLPolygon (DisplayObject *obj)

## Additional Inherited Members
Static Public Attributes inherited from DisplayObject
static int | TEXTURE_INDEX_NONE = -1

## Detailed Description

Plug-in used to create nine patches in Glstudio.

## Member Enumeration Documentation

## ◆ Edge

enum GlsNinePatch::Edge

Enumerator
FIRST | First (left) edge of the GlsNinePatch.
LEFT | Left edge of the GlsNinePatch.
RIGHT | Right edge of the GlsNinePatch.
TOP | Top edge of the GlsNinePatch.
BOTTOM | Bottom edge of the GlsNinePatch.
COUNT |

## Constructor & Destructor Documentation

## ◆ GlsNinePatch()

GlsNinePatch::GlsNinePatch | ( |  | ) |

Creates a nine patch.

## Member Function Documentation

## ◆ CastToGlsNinePatch()

static GlsNinePatch * GlsNinePatch::CastToGlsNinePatch | ( | DisplayObject * | obj | ) |
| static

Casts the Display Object as a GlsNinePatch.

Note
  perform an isNULL check on the returned value to ensure the cast was accomplished.

Parameters

  obj | object to cast

Returns
  GlsNinePatch the GlsNinePatch

Exceptions

  CEIException |

## ◆ CenterVisible() [1/2]

bool GlsNinePatch::CenterVisible | ( |  | ) |

Returns whether the center of the nine patch is visible.

Returns
  a boolean representing visible (true) or not visible (false)

## ◆ CenterVisible() [2/2]

void GlsNinePatch::CenterVisible | ( | bool | value | ) |

Sets the center visibility.

Parameters

  value | center visible (true) or not (false)

## ◆ GetChildRect()

Rect3D GlsNinePatch::GetChildRect | ( |  | ) |

Gets the "child" rectangle.

The child rectangle refers to the inner rectangle of the nine patch, which is where normal content would be drawn.

Returns
  A Rect3D with the "blc," "brc," and "trc" set

## ◆ GetPatchTex()

void GlsNinePatch::GetPatchTex | ( | VectorArray * | va | ) |

Returns a pointer to the texture points.

Parameters

  va | A returned pointer to the texture points.

## ◆ GetPatchVerts()

void GlsNinePatch::GetPatchVerts | ( | VertexArray * | va | ) |

Returns a pointer to the patch vertices.

Parameters

  va | A returned pointer to the patch vertices.

## ◆ Height() [1/2]

float GlsNinePatch::Height | ( |  | ) |

Returns the height.

Returns
  a float representing the height

## ◆ Height() [2/2]

void GlsNinePatch::Height | ( | float & | value | ) |

Sets the height.

Parameters

  value | value to use for height

## ◆ HeightVector() [1/2]

Vector GlsNinePatch::HeightVector | ( |  | ) |

Gets the height vector.

Returns
  the height vector

## ◆ HeightVector() [2/2]

void GlsNinePatch::HeightVector | ( | Vector & | v | ) |

Sets the height vector.

Parameters

  v | vector to use for height

## ◆ TextureBLC() [1/2]

Vector GlsNinePatch::TextureBLC | ( |  | ) |

Gets the texture bottom left corner vector.

Returns
  the bottom left corner vector

## ◆ TextureBLC() [2/2]

void GlsNinePatch::TextureBLC | ( | float | x,
|  | float | y
| ) |  |

Sets the texture bottom left corner.

Parameters

  x | x value
  y | y value

## ◆ TextureEdge() [1/2]

float GlsNinePatch::TextureEdge | ( | Edge | index | ) |

Gets the texture edge value for the given Edge.

Parameters

  index | The Edge value representing which edge to retrieve

Returns
  a pointer to the texture points

## ◆ TextureEdge() [2/2]

void GlsNinePatch::TextureEdge | ( | Edge | index,
|  | float | value
| ) |  |

Sets the texture edge value for the given Edge.

Parameters

  index | The Edge value representing which edge to change
  value | new value for edge

## ◆ TextureTRC() [1/2]

Vector GlsNinePatch::TextureTRC | ( |  | ) |

Gets the texture top right corner vector.

Returns
  the top right corner vector

## ◆ TextureTRC() [2/2]

void GlsNinePatch::TextureTRC | ( | float | x,
|  | float | y
| ) |  |

Sets the texture top right corner.

Parameters

  x | x value
  y | y value

## ◆ VertexEdge() [1/2]

float GlsNinePatch::VertexEdge | ( | Edge | index | ) |

Gets the vertex edge value for the given Edge.

Parameters

  index | The Edge value representing which edge to retrieve

Returns
  a pointer to the texture points

## ◆ VertexEdge() [2/2]

void GlsNinePatch::VertexEdge | ( | Edge | index,
|  | float | value
| ) |  |

Sets the vertex edge value for the given Edge.

Parameters

  index | The Edge value representing which edge to change
  value | new value for edge

## ◆ Width() [1/2]

float GlsNinePatch::Width | ( |  | ) |

Returns the width.

Returns
  a float representing the width

## ◆ Width() [2/2]

void GlsNinePatch::Width | ( | float & | value | ) |

Sets the width.

Parameters

  value | value to use for width

## ◆ WidthVector() [1/2]

Vector GlsNinePatch::WidthVector | ( |  | ) |

Gets the width vector.

Returns
  the width vector

## ◆ WidthVector() [2/2]

void GlsNinePatch::WidthVector | ( | Vector & | v | ) |

Sets the width vector.

Parameters

  v | vector to use for width

The documentation for this class was generated from the following file:

- GlsNinePatch.i